/*common css*/
.relative {
    position:relative
}

.absolute {
    position: absolute;
}

.single-card {
    height: 1px;
    padding-bottom: 125%;
    width: 100%;
}

.card-cover-photo {
    background-color: rgba(255, 255, 255, 0.05);
    border-radius: 20px;
    bottom: 0;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    right: 0;
}

.card-cover-photo img {
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.single-card-overlay {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.75) 0%, transparent 30%, transparent 70%, rgba(0, 0, 0, .75) 100%);
    border-radius: 20px;
    bottom: 0;
    left: 0;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
}

.single-card-content {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.song-info-area {
    background: transparent;
    backdrop-filter: none;
    border-radius: 20px;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 12px;
    justify-content: space-between;
    margin: 0;
    padding: 6%;
    position: relative;
    top: 0;
    z-index: 200;
}

.song-info-area .card-title {
    color: white;
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    padding: 0 0 6px;
    text-transform: capitalize;
}

.song-info-area .card-singer {
    color: rgba(255, 255, 255, .6);
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    padding: 0;
}
/* /common css*/


/*header nav section css*/
.header-area {
    background-color: rgba(255, 255, 255, .2);
    backdrop-filter: blur(12px);
    padding-bottom: 15px;
    padding-top: 15px;
}

.inner-page-header .header-area {
    background-color: transparent;
}

header .nav-link {
    color: #dfdfdf;
}

header .nav-link.active {
    color: #fff;
    font-weight: bold;
}

.logo-area a {
    gap: 10px;
}

.logo-img {
    max-width: 194px;
}

.header-area .icon-area {
    gap: 20px;
}

.btn-search {
    height: 100%;
    left: 0;
    padding-left: 10px;
    right: auto;
    width: 28px;
    cursor: pointer;
    z-index: -1;
}

.input-search {
    padding: 10px 14px;
    width: 28px;
}

.input-search:focus {
    background: transparent;
    border: 1px solid rgba(255, 255, 255, .5);
    backdrop-filter: blur(3px);
    border-radius: 50px;
    height: 40px;
    padding-left: 36px;
    padding-right: 10px;
    transition: all 500ms ease-in-out;
    width: 206px;
}
/* /header nav section css*/

/*hero banner section css*/
.hero-section {
    align-items: center;
    background-image: url(../images/banner.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    height: 100vh;
    justify-content: center;
    padding: 200px 0;
    width: 100%;
}

.hero-section::before {
    background: linear-gradient(180deg, transparent 70%, rgba(0, 0, 0, .5) 100%);
    backdrop-filter: blur(4px);
    content: "";
    inset: 0;
    position: absolute;
}

.hero-section .hero-area {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.trending-books-section, 
.trending-books-section * {
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.trending-books-section {
    position: relative;
    width: 100%;
    margin: 0 auto;
    column-gap: 3rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: visible;
}

.trending-books-section .swiper-container {
    position: relative;
    width: 100%;
}

.trending-books-section .trending-books-swiper {
    max-width: 1140px;
    padding: 0;
    width: 100%;    
}

.trending-books-section .swiper-slide {
    align-items: flex-start;
    border-radius: 12px;
    box-shadow: none;
    display: flex;
    flex-direction: column;
    height: 22rem;
    overflow: hidden;
    position: relative;
    width: 10rem;
}


.trending-books-section .slide-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}
.album-slide .slide-content img {
    border-radius: 12px;
    height: 100%;
    max-height: 100%;
    overflow: hidden;
    object-fit: cover;
    width: 100%;
}
.trending-books-section .author {
    align-items: center;
    background-color: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(3px);
    border-radius: 12px;
    bottom: 0;
    display: flex;
    flex-direction: column;
    gap: 6%;
    height: 100%;
    justify-content: center;
    justify-items: center;
    opacity: 1;
    position: absolute;
    transition: opacity 0.3s ease;
    width: 100%;
}
.trending-books-section .swiper-slide-active .author {
    background-color: transparent;
    backdrop-filter: blur(0);
    display: flex;
    z-index: 9999;
}

.swiper-wrapper:hover .swiper-slide-active .author {
    background-color: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(20px);
}

.swiper-wrapper:hover .swiper-slide-active .author a {
    opacity: 1;
}

.trending-books-section .author a {
    opacity: 0;
    transition: opacity 0.3s ease;
}

.trending-books-section .author img {
    border: 2px solid white;
    border-radius: 50%;
    height: 60px;
    margin: 0 auto;
    object-fit: cover;
    width: 60px;
}

.hero-area .author .author-name {
    background-color: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(3px);
    border: 2px solid rgba(255, 255, 255, 0.1);
    border-radius: 50px;
    color: #fff;
    font-family: var(--primary-font);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.2;
    margin-top: 12px;
    padding: 8px 12px;
}

.hero-area .author .album-title {
    color: #fff;
    font-family: var(--primary-font);
    font-size: 1.5rem;
    font-weight: 400;
    line-height: 1.25;
}


.trending-books-section .swiper-wrapper:hover .swiper-slide-active .author {
    opacity: 1;
}

.swiper-3d .swiper-slide-shadow-left,
.swiper-3d .swiper-slide-shadow-right {
    background: none !important;
}

.trending-books-section .trending-books-prev,
.trending-books-section .trending-books-next {
    background: white;
    border-radius: 50%;
    top: 47%;
    width: 50px;
    height: 50px;
    box-shadow: 0 2px 11px rgb(0 0 0 / 17%);
    color: #111;
    display: flex;
}

.trending-books-section .trending-books-prev {
    left: -30px;
}

.trending-books-section .trending-books-next {
    right: -30px;
}
/* /hero banner section css*/

/*section header css*/
.section-header {
    padding-bottom: 30px;
}

.section-header.with-btn {
    align-items: end;
    display: flex;
    gap: 20px;
    justify-content: space-between;
}

.section-title {
    background: none;
    color: #fff;
    font-family: var(--primary-font);
    font-size: 26px;
    font-weight: 500;
    line-height: 1.3;
    padding-bottom: 0;
}
.with-btn .view-all-btn {
    background: linear-gradient(90deg, #eb3599, #603de2);
    border-radius: 6px;
    color: #fff;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.6;
    padding: 8px 16px;
    transition: all 0.3s ease-in-out;
    white-space: nowrap;
}

.view-all-btn:hover {
    background: linear-gradient(90deg, #603de2, #eb3599);
}

.section-header.with-slider-nav {
    padding-right: 110px;
}

/* /section header css*/

/*song card css*/

.song-single-card-content:hover .song-card-play-btn-holder {
    visibility: visible;
    opacity: 1;
}

.play-pause-wrapper {
    cursor: pointer;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);   
}

.song-card-play-btn-holder .play-pause-btn {
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, .1);
    border-radius: 50%;
    color: #fff;
    display: inline-block;
    font-size: 28px;
    height: 62px;
    line-height: 62px;
    text-align: center;
    width: 62px;
}

.play-pause-btn.paused {
    padding-left: 5px;
}

.play-pause-btn.paused:before {
    content: "\f04b";
    font-family: FontAwesome;
}

.song-single-card-content .card-lower-part {
    align-items: center;
    border-top: 1px solid rgba(255, 255, 255, 0.3);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 20px;
}

.card-left-part {
    display: flex;
    align-items: center;
    gap: 10px;
}

.card-left-part .track-favourite-toggle{
    font-size: 1.25rem;
}

.card-left-part .modal-items-btn {
    padding: 0;
    z-index: 1;
}

.card-left-part .song-list-icon {
    height: 24px;
    width: 24px;    
}

.card-right-part {
    display: flex;
    align-items: center;
    gap: 20px;
}

.card-right-part .span-playlist {
    background-color: rgba(255, 255, 255, .04);
    backdrop-filter: blur(4px);
    border: 1px solid var(--sub-color);
    border-radius: 32px;
    color: var(--sub-color);
    font-family: var(--primary-font);
    font-size: 14px;    
    font-weight: 500;
    line-height: 2;
    padding: 5px 10px;
}
/* /song card css*/

/*playlist card css*/
.top-playlist-section .swiper-button-next, 
.top-playlist-section .swiper-button-prev {
    background-color: rgba(255, 255, 255, 0.25);
    color: #fff;
    border-radius: 50%;
    backdrop-filter: blur(3px);
    height: 40px;
    width: 40px;
}

.top-playlist-section .swiper-button-next svg, 
.top-playlist-section .swiper-button-prev svg {
    width: 16px;
    height: 16px;
}

.top-playlist-section .swiper-button-prev {
    left: -100px;
}

.top-playlist-section .swiper-button-next {
    right: 0;
}

.swiper-button-prev:after,
.swiper-button-next:after {
    font-size: 15px !important;
    color: #fff;
}

.top-playlist-section .swiper-slider-arrow {
    bottom: 80px;
    position: absolute;
    right: 0;
    top: auto;
}

.playlist-card {
    background-color: rgba(255, 255, 255, 0.03);
    backdrop-filter: blur(4px);
    border: 1px solid rgba(255, 255, 255, 0.05);
    border-radius: 20px;
    height: 1px;
    overflow: hidden;
    padding-bottom: 65%;
    position: relative;
    width: 100%;

    margin-bottom: 40px; /*temporary attribute, need to be removed after removing playlist song cards*/
}

.personalized-playlist-section .playlist-card,
.personalized-saved-playlist .playlist-card,
.all-playlists .playlist-card{
    margin-bottom: 0;
}

.all-playlists .trending-content{
    gap: 24px;
}

.playlist-card .add-bookmark {
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: 37px;
    height: 37px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
}

.playlist-card .add-bookmark span {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.playlist-card .add-bookmark span i {
    width: 100%;
    height: 100%;
    display: flex;
    flex-shrink: 0;
    justify-content: center;
    align-items: center;
}

.playlist-card-wrapper {
    align-items: flex-start;
    bottom: 0;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    left: 0;
    padding: 20px;
    position: absolute;
    right: 0;
    top: 0;
}

.playlist-card-top {
    max-width: 100%;
}

.playlist-card-title {
    color: #fff;
    font-family: var(--primary-font);
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    padding-bottom: 10px;
}

.playlist-card-subtitle {
    color: rgba(255, 255, 255, .6);
    font-family: var(--primary-font);
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5rem;
}

.playlist-card-btn {
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 50px;
    color: rgba(255, 255, 255, 0.6);
    display: inline-block;
    font-family: var(--primary-font);
    font-size: .875rem;
    font-weight: 500;
    padding: 7px 12px;
    transition: all 0.3s ease-in-out;
}

.playlist-card-btn:hover{
    background-color: #000;
    color: #fff;
}

.playlist-card-bg,
.playlist-card-image {
    bottom: -53%;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 8%;
    height: 1px;
    overflow: hidden;
    padding-bottom: 70%;
    position: absolute;
    right: -20%;
    transform: rotate(15deg);
    width: 70%;
    z-index: -1;  
}

.playlist-card-bg {
    bottom: -58%;
    transform: rotate(-15deg);
    right: -15%;
}

/* /playlist card css*/
/*album card css*/
.album-card .song-name {
    margin-top: auto;
}
/* /album card css*/
/*popular artist css*/
/*playlist card css*/
.popular-artist-section .swiper-button-next, 
.popular-artist-section .swiper-button-prev {
    background-color: rgba(255, 255, 255, 0.25);
    color: #fff;
    border-radius: 50%;
    backdrop-filter: blur(3px);
    height: 40px;
    width: 40px;
}

.popular-artist-section .swiper-button-next svg, 
.popular-artist-section .swiper-button-prev svg {
    width: 16px;
    height: 16px;
}

.popular-artist-section .swiper-button-prev {
    left: -100px;
}

.popular-artist-section .swiper-button-next {
    right: 0;
}

.popular-artist-section .swiper-slider-arrow {
    bottom: 80px;
    position: absolute;
    right: 0;
    top: auto;
}
/* /popular artist css*/

@media screen and (max-width:1499px){
    .contact-section .main-title {
        font-size: 100px;
    }
}


@media screen and (max-width: 1366px){

    /*header section css*/
    nav ul {
        display: flex;
        align-items: center;
        gap: 25px;
    }
    /*/header section css*/
    /*playlist css*/
    .playlist-card {
        padding-bottom: 70%;
    }
    /* /playlist css*/
}


@media screen and (max-width: 1199px){ 
    /*header section css*/
    .hamburger-menu.active {
        right: -50px;
    }
    /*/header section css*/
    /*playlist css*/
    .playlist-card {
        padding-bottom: 60.27%;
    }
    /* /playlist css*/
}


@media screen and (max-width: 991px){ 
    /*header section css*/
    .hamburger-menu.active {
        right: -30px;
    }
    /*/header section css*/
    /*hero banner section css*/
    /*/hero banner section css*/

    /*contact section css*/
    .contact-section .main-title {
        font-size: 70px;
    }
    /* /contact section css*/
}

@media screen and (max-width:767px) {
    /*hero banner section css*/


    .trending-books-section {
        overflow: hidden;
    }


    .trending-books-section .swiper-wrapper:hover .swiper-slide-active .author,
    .trending-books-section .swiper-slide-active .author {
        background-color: transparent;
        opacity: 1;
        backdrop-filter: blur(0);
    }

    .swiper-wrapper .swiper-slide-active .author a {
        opacity: 1;
    }

    .hero-area .author .author-name {
        font-size: .75rem;
        background-color: rgba(0, 0, 0, .6);
    }

    .hero-area .author .album-title {
        font-size: 1.25rem;
        backdrop-filter: blur(3px);
        background-color: rgba(0, 0, 0, .6);
        padding: 3px 12px;
    }

    .trending-books-section .trending-books-prev,
    .trending-books-section .trending-books-next {
      display: none;
    }
    /*/hero banner section css*/

    /*contact section css*/
    .contact-section .main-title {
        font-size: 70px;
    }
    /* /contact section css*/
}

@media screen and (max-width: 620px){ 
    /*header section css*/
    .hamburger-menu.active {
        right: -20px;
    }
    /* /header section css*/
    /*section header css*/
    .section-header {
        text-align: center;
    }

    .section-header.with-btn {
        align-items: center;
        flex-direction: column;
    }

    .section-header.with-slider-nav {
        padding-bottom: 100px;
        padding-right: 0;
    }
    /* /section header css*/
    /*playlist css*/

    .top-playlist-section .swiper-slider-arrow {
        bottom: 80px;
        right: calc(50% - 50px);
    }
    /* /playlist css*/

    /*popular artist css*/
    .popular-artist-section .swiper-slider-arrow {
        bottom: 80px;
        right: calc(50% - 50px);
    }
    /* /popular artist css*/

}
